﻿using System;

namespace MathLib
{
    public static class MathHelpers
    {
        public static Func<double, double, double> Hypotenuse =

            (x, y) => Math.Sqrt(x * x + y * y);


        static readonly Func<int, int, bool> divisibleBy = (int a, int b) => a % b == 0;

        public static bool IsPrimeNumber(int x)
        {
            {

                for (int i = 2; i <= x / 2; i++)

                    if (divisibleBy(x, i))
                        return false;

                return true;

            };
        }

    }
}